blaze-html-0.4.3.1: A blazingly fast HTML combinator library for Haskell

Text.Blaze.Renderer.Utf8

Synopsis

- renderHtmlBuilder :: Html -> Builder
- renderHtml :: Html -> ByteString
- renderHtmlToByteStringIO :: (ByteString -> IO ()) -> Html -> IO ()

# Documentation

renderHtmlBuilder

Arguments

:: Html | HTML to render
-> Builder | Resulting builder

Render some `Html` to a `Builder`.

renderHtml

Arguments

:: Html | HTML to render
-> ByteString | Resulting `ByteString`

Render HTML to a lazy UTF-8 encoded 'L.ByteString.'

renderHtmlToByteStringIO

Arguments

:: (ByteString -> IO ()) | IO action to execute per rendered buffer
-> Html | HTML to render
-> IO () | Resulting IO action

Repeatedly render HTML to a buffer and process this buffer using the given IO action.